//
//  NSColor+SMAdditions.h
//  Drawings
//
//  Created by Stephan Michels on 11.10.11.
//  Copyright (c) 2011 Stephan Michels Softwareentwicklung und Beratung. All rights reserved.
//

#import <AppKit/AppKit.h>

@interface NSColor (SMAdditions)

+ (instancetype)specialHandleColor;

- (NSString *)hexadecimalValue;

+ (instancetype)colorForReference:(id)reference alpha:(CGFloat)alpha;
+ (instancetype)randomColorWithAlpha:(CGFloat)alpha;

@end
