//
//  NSObject+SMBlockProperties.h
//  Drawings
//
//  Created by Stephan Michels on 28.01.13.
//  Copyright (c) 2013 Stephan Michels Softwareentwicklung und Beratung. All rights reserved.
//

#import <Foundation/Foundation.h>


// original source from http://github.com/schwa/ObjC-Property-Factory

typedef id (^SMPropertyGetterBlock)(id self);
typedef void (^SMPropertySetterBlock)(id self, id value);

@interface NSObject (SMBlockProperties)

+ (BOOL)addPropertyName:(NSString *)propertyName getter:(SMPropertyGetterBlock)inGetter;
+ (BOOL)addPropertyName:(NSString *)propertyName setter:(SMPropertySetterBlock)inSetter;

+ (NSDictionary *)propertyNamesAndTypes;

@end
