//
//  SMGrowingTextField.h
//  SMGrowingTextField
//
//  Created by Stephan Michels on 07.03.13.
//  Copyright (c) 2013 Stephan Michels. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface SMGrowingTextField : NSTextField

- (NSAttributedString *)currentAttributedString;
- (void)invalidateBaselineOffsetFromBottom;
- (NSEdgeInsets)drawingEdgeInsets;

@end

@protocol SMGrowingTextFieldDelegate <NSTextFieldDelegate, NSObject>

@optional
- (void)textFieldDidBecomeFirstResponder:(SMGrowingTextField *)textField;
//- (void)textFieldDidResignFirstResponder:(SMGrowingTextField *)textField;

- (void)textViewDidChangeSelection:(NSNotification *)notification;

@end