//
//  SMInspectorPane.h
//  Drawings
//
//  Created by Stephan Michels on 28.07.12.
//
//

#import "SMViewController.h"


@interface SMInspectorPane : SMViewController

@property (nonatomic, weak, readonly) id owner;
//@property (nonatomic, copy) NSString *title;
@property (nonatomic, strong) NSImage *image;
@property (nonatomic, copy) NSArray *inspectors;

- (id)initWithOwner:(id)owner;
- (id)init NS_UNAVAILABLE;
+ (id)new NS_UNAVAILABLE;

- (void)prepareForReuse;
- (void)refresh;

@end
