//
//  SMInspectorSliver.h
//  SMInspectorKit
//
//  Created by Stephan Michels on 09.11.12.
//  Copyright (c) 2012 Stephan Michels. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SMViewController.h"


@interface SMInspectorSliver : SMViewController

@property (nonatomic, weak, readonly) id owner;
@property (nonatomic) BOOL fullWidth;
//@property (nonatomic, copy) NSString *title;
@property (nonatomic) BOOL visible;
@property (nonatomic, copy) NSString *visibleKeyPath;
@property (nonatomic, strong) NSValueTransformer *visibleValueTransformer;
@property (nonatomic, copy) NSArray *properties;

- (id)initWithOwner:(id)owner;
- (id)init NS_UNAVAILABLE;
+ (id)new NS_UNAVAILABLE;

- (void)prepareForReuse;
- (void)refresh;

@end
