//
//  SMDelegateObservation.h
//  SMObservation
//
//  Created by Stephan Michels on 22.11.12.
//  Copyright (c) 2012 Stephan Michels. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SMCancellable.h"

@interface SMDelegateObservation : NSObject <SMCancellable>

@property (nonatomic, unsafe_unretained, readonly) id object;
@property (nonatomic, copy, readonly) NSString *keyPath;
@property (nonatomic, readonly) NSKeyValueObservingOptions options;

+ (instancetype)observationWithObject:(id)object
                           forKeyPath:(NSString *)keyPath
                              options:(NSKeyValueObservingOptions)options
                             observer:(id)observer
                             selector:(SEL)selector;

@end
