//
//  SMInspectorPointProperty.h
//  InterfaceInspector
//
//  Created by Stephan Michels on 25.10.13.
//  Copyright (c) 2013 Stephan Michels. All rights reserved.
//

#import "SMInspectorProperty.h"
#import "SMInspectorNumberProperty.h"

@interface SMInspectorPointProperty : SMInspectorProperty

@property (nonatomic, copy) NSString *xTitle;
@property (nonatomic, copy) NSString *xTitleKeyPath;
@property (nonatomic, copy) NSString *yTitle;
@property (nonatomic, copy) NSString *yTitleKeyPath;

@property (nonatomic, strong) NSNumber *increment;
@property (nonatomic, copy) NSString *incrementKeyPath;

@property (nonatomic) SMNumberFormatStyle formatStyle;
@property (nonatomic, copy) NSString *formatUnit;

@property (nonatomic) BOOL nilValueControlIsOffWhenNil;
@property (nonatomic, copy) NSString *nonNilValueKeyPath;

@end
