//
//  SMInspectorTextView.h
//  InterfaceInspector
//
//  Created by Stephan Michels on 15.07.13.
//  Copyright (c) 2013 Stephan Michels. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "SMGrowingTextView.h"

@interface SMInspectorTextView : SMGrowingTextView

@property (nonatomic, unsafe_unretained) id target;
@property (nonatomic) SEL action;

@end

@protocol SMInspectorTextViewDelegate <NSTextViewDelegate, NSObject>

@optional
- (void)textViewBecomeFirstResponder:(NSTextView *)textView;
- (void)textViewResignFirstResponder:(NSTextView *)textView;

@end