//
//  SMParagraphStyleProxy.h
//  InterfaceInspector
//
//  Created by Stephan Michels on 05.07.13.
//  Copyright (c) 2013 Stephan Michels. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface SMParagraphStyleProxy : NSObject

@property (copy) NSNumber *headerLevel;
@property (copy) NSNumber *tighteningFactorForTruncation;
@property (copy) NSNumber *hyphenationFactor;
@property (copy) NSNumber *defaultTabInterval;
@property (copy) NSNumber *alignment;
@property (copy) NSNumber *baseWritingDirection;
@property (copy) NSNumber *lineBreakMode;
@property (copy) NSNumber *firstLineHeadIndent;
@property (copy) NSNumber *tailIndent;
@property (copy) NSNumber *headIndent;
@property (copy) NSNumber *paragraphSpacing;
@property (copy) NSNumber *paragraphSpacingBefore;
@property (copy) NSNumber *maximumLineHeight;
@property (copy) NSNumber *minimumLineHeight;
@property (copy) NSNumber *lineSpacing;
@property (copy) NSNumber *lineHeightMultiple;

@property (nonatomic, strong) NSMutableAttributedString *attributedString;
@property (nonatomic) NSRange range;

- (void)setValues;
- (void)updateValues;

@end
